SuperStrict

Rem
bbdoc: Natural String comparison.
EndRem
Module Artemis.NatCompare

Import "*.h"
Import "strnatcmp.c"

Extern
	Rem
	bbdoc: Compares two strings naturally.
	about:
	Usually Numbers as or in Strings are sorted this way: 2, 34, 5, 52, 6, 832 which is "wrong".
	Sorted with natural comparsion gives a "correct" result: 2, 5, 6, 34, 52, 832.
	EndRem
	Function NatCompare:Int(string_1$z, string_2$z)="strnatcasecmp"
	Rem
	bbdoc: Compares two strings naturally and case insesitivly.
	EndRem
	Function NatCompareSensitive:Int(string_1$z, string_2$z)="strnatcmp"
EndExtern